# WiFiӽű
# ÷: ./connect_wifi.sh <SSID> <PSK>

if [ $# -ne 2 ]; then
    echo "÷: $0 <SSID> <PSK>"
    exit 1
fi

SSID=$1
PSK=$2

# ֹеudhcpc
killall -9 udhcpc

# WiFi
wpa_cli -p /tmp/wpa_supplicant/sockets -i wlan0 set_network 0 ssid '\"'$SSID'\"'
usleep 10000  # 10ms

wpa_cli -p /tmp/wpa_supplicant/sockets -i wlan0 set_network 0 psk '\"'$PSK'\"'
usleep 10000  # 10ms

wpa_cli -p /tmp/wpa_supplicant/sockets -i wlan0 save_config
usleep 10000  # 10ms

wpa_cli -p /tmp/wpa_supplicant/sockets -i wlan0 reconfigure
usleep 200000  # 200msúִ

# 
wpa_cli -p /tmp/wpa_supplicant/sockets -i wlan0 disable_network 0
usleep 10000  # 10ms

wpa_cli -p /tmp/wpa_supplicant/sockets -i wlan0 enable_network 0
usleep 500000  # 500ms״̬

# DHCPͻ
udhcpc -b -i wlan0 -t 1 -A 1 -R -H test

echo "WiFiִ"
